import request from "@/utils/request";

// 财务管理--项目预算书列表
export function apiFinancialBudgetDocLists(params: any) {
  return request.get({ url: "/financial.financial_budget_doc/lists", params });
}

// 添加财务管理--项目预算书
export function apiFinancialBudgetDocAdd(params: any) {
  return request.post({ url: "/financial.financial_budget_doc/add", params });
}

// 编辑财务管理--项目预算书
export function apiFinancialBudgetDocEdit(params: any) {
  return request.post({ url: "/financial.financial_budget_doc/edit", params });
}

// 删除财务管理--项目预算书
export function apiFinancialBudgetDocDelete(params: any) {
  return request.post({
    url: "/financial.financial_budget_doc/delete",
    params,
  });
}

// 财务管理--项目预算书详情
export function apiFinancialBudgetDocDetail(params: any) {
  return request.get({ url: "/financial.financial_budget_doc/detail", params });
}

// 财务管理--项目预算书
export function apiFinancialBudgetDocSearch(params: any) {
  return request.get({ url: "/financial.financial_budget_doc/datas", params });
}
